Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans.knn
Class NodeAttrValClass

    java.lang.Object
      com.ibm.able.beans.knn.NodeAttrValClass

public class NodeAttrValClass
extends java.lang.Object

Class used by Decision Tree Bean. The elements of the count table are of type NodeAttributeValueClass Besides node, attribute, value, and class, each such element stores the index of the node in the current tree, and a count.

Constructor Summary
`NodeAttrValClass(TreeNode nd, int attr, int val, int cl)`

Method Summary
`boolean` | `equals(java.lang.Object avc)`
`int` | `getAttribute()`
`int` | `getClasS()`
`int` | `getCount()`
`TreeNode` | `getNode()`
`int` | `getNodeIndex()`
`int` | `getValue()`
`int` | `hashCode()`
`void` | `incrementCount()`
`void` | `setCount(int c)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeAttrValClass

    public NodeAttrValClass(TreeNode nd,
                            int attr,
                            int val,
                            int cl)

Method Detail

### equals

    public boolean equals(java.lang.Object avc)

### hashCode

    public int hashCode()

### incrementCount

    public void incrementCount()

### getClasS

    public int getClasS()

### getValue

    public int getValue()

### getAttribute

    public int getAttribute()

### getNode

    public TreeNode getNode()

### getNodeIndex

    public int getNodeIndex()

### setCount

    public void setCount(int c)

### getCount

    public int getCount()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005